Function
atomicMax
Lock-free implementation of x = max(x, y).
atomicMax(x, y)
Parameters

x | Integer to set to max(x, y)
y | Other integer.

Remarks
This is equivalent to
atomic {
x = max(x, y);
}
While lock-free, the function tries to update x as long as x < y in a loop and might run a long time if x is incremented continuously in another thread.
See Also
atomicMin
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:46